Alarm 3.5 Support Extended

Today I noticed that a lot of people are still using pre-3.5.8 versions of Alarm so I decided to again support those versions. Please upgrade them to 3.5.10! I just set up the auto-update feature so that you can now upgrade from those versions again.

Leave a Reply

Your email address will not be published. Required fields are marked *